%errorA = ForceRequiredAddOn("Weapon_Rocket_Launcher");
%errorB = ForceRequiredAddOn("Projectile_GravityRocket");
%errorC = ForceRequiredAddOn("Weapon_LaserPointer");

if(%errorA == $Error::AddOn_Disabled)
   rocketLauncherItem.uiName = "";

else if(%errorA == $Error::AddOn_NotFound)
   error("ERROR: Weapon_MASGuidedRL - required add-on Weapon_Rocket_Launcher not found");
else if(%errorB == $Error::AddOn_NotFound)
   error("ERROR: Weapon_MASGuidedRL - required add-on Projectile_GravityRocket not found");
else if(%errorC == $Error::AddOn_NotFound)
   error("ERROR: Weapon_MASGuidedRL - required add-on Weapon_LaserPointer not found");
else
   exec("./Weapon_MASGuidedRL.cs");
   exec("./Support_RaycastingWeapons.cs");

// Registers the preferences with RTB, if you have it.
if(isFile("Add-Ons/System_ReturnToBlockland/server.cs"))
{
	// Makes sure the thing is running.
	if(!$RTB::RTBR_ServerControl_Hook)
	{
		exec("Add-Ons/System_ReturnToBlockland/RTBR_ServerControl_Hook.cs");
	}
	
	// Description, ModName, Variable, Properties, Mod, Default value, Requires Restart, Super-Admin Only, Callback Function
	RTB_registerPref("Manual detonate?", "Manual detonate", "$MASGRL::Clickexplode", "bool", "Weapon_MASGuidedRL", true, false, false, "MASGRL_Manualdetonate");
}
// If you not have RTB, the mod registers it to the most likely preferred settings.
else
{
	$MASGRL::Clickexplode = true;
}
